Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(29)

Issue 1825273002: Add more out of line copy ctors for complex classes. (Closed)

Created:
3 years, 6 months ago by vmpstr
Modified:
3 years, 6 months ago
CC:
Aaron Boodman, abarth-chromium, anandc+watch-blimp_chromium.org, ben+mojo_chromium.org, bondd+autofillwatch_chromium.org, browser-components-watch_chromium.org, cbentzel+watch_chromium.org, cc-bugs_chromium.org, certificate-transparency-chrome_googlegroups.com, chromium-reviews, chromoting-reviews_chromium.org, creis+watch_chromium.org, csharrison+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, dtrainor+watch-blimp_chromium.org, Eran Messeri, estade+watch_chromium.org, jam, jdonnelly+autofillwatch_chromium.org, kmarshall+watch-blimp_chromium.org, loading-reviews+metrics_chromium.org, maniscalco+watch-blimp_chromium.org, marcinjb+watch-blimp_chromium.org, nasko+codewatch_chromium.org, nona+watch_chromium.org, nyquist+watch-blimp_chromium.org, piman+watch_chromium.org, qsr+mojo_chromium.org, rjkroege, rouslan+autofill_chromium.org, scheduler-bugs_chromium.org, shuchen+watch_chromium.org, sriramsr+watch-blimp_chromium.org, James Su, tfarina, vabr+watchlistautofill_chromium.org, viettrungluu+watch_chromium.org, yusukes+watch_chromium.org, yzshen+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add more out of line copy ctors for complex classes. This patch adds the remaining copy constructors for complex classes. After this patch, it should be possible to enable the heavy class copy constructor checks by default. R=thakis@chromium.org, dcheng@chromium.org TBR=jam@chromium.org BUG=436357 CQ_INCLUDE_TRYBOTS=tryserver.blink:linux_blink_rel Committed: https://crrev.com/bf0d713a72db33bdf6c51d65f009f73e822db3e0 Cr-Commit-Position: refs/heads/master@{#383131}

Patch Set 1 #

Patch Set 2 : #

Total comments: 4

Patch Set 3 : #

Patch Set 4 : #

Total comments: 1

Patch Set 5 : #

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+124 lines, -1 line) Patch
M blimp/client/session/assignment_source.h View 1 chunk +1 line, -0 lines 0 comments Download
M blimp/client/session/assignment_source.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M cc/layers/layer_list_iterator.h View 1 chunk +1 line, -0 lines 0 comments Download
M cc/layers/layer_list_iterator.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M cc/scheduler/scheduler_settings.h View 1 chunk +1 line, -0 lines 0 comments Download
M cc/scheduler/scheduler_settings.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M cc/surfaces/surface_manager.h View 1 chunk +1 line, -0 lines 0 comments Download
M cc/surfaces/surface_manager.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M cc/tiles/prioritized_tile.h View 1 chunk +1 line, -0 lines 0 comments Download
M cc/tiles/prioritized_tile.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M cc/tiles/software_image_decode_controller.h View 1 chunk +2 lines, -0 lines 0 comments Download
M cc/tiles/software_image_decode_controller.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M cc/trees/property_tree.h View 2 chunks +2 lines, -0 lines 0 comments Download
M cc/trees/property_tree.cc View 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/input_method/input_method_engine_base.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/input_method/input_method_engine_base.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M components/autofill/core/browser/field_candidates.h View 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill/core/browser/field_candidates.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M components/mus/ws/platform_display_init_params.h View 1 chunk +1 line, -0 lines 0 comments Download
M components/mus/ws/platform_display_init_params.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M components/mus/ws/test_change_tracker.h View 2 chunks +2 lines, -0 lines 0 comments Download
M components/mus/ws/test_change_tracker.cc View 2 chunks +4 lines, -0 lines 0 comments Download
M components/page_load_metrics/common/page_load_timing.h View 1 chunk +1 line, -0 lines 0 comments Download
M components/page_load_metrics/common/page_load_timing.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M components/safe_browsing_db/util.h View 1 chunk +1 line, -0 lines 0 comments Download
M components/safe_browsing_db/util.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/frame_host/frame_tree.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/frame_host/frame_tree.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/gpu/gpu_process_host.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/gpu/gpu_process_host.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M content/common/frame_replication_state.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/common/frame_replication_state.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/common/frame_navigate_params.h View 1 2 2 chunks +5 lines, -1 line 0 comments Download
M gpu/command_buffer/service/gpu_preferences.h View 1 chunk +2 lines, -0 lines 0 comments Download
M gpu/command_buffer/service/gpu_preferences.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M gpu/ipc/common/memory_stats.h View 1 chunk +1 line, -0 lines 0 comments Download
M gpu/ipc/common/memory_stats.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M ipc/ipc_message_utils.h View 1 chunk +1 line, -0 lines 0 comments Download
M ipc/ipc_message_utils.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M mojo/edk/system/request_context.h View 1 chunk +1 line, -0 lines 0 comments Download
M mojo/edk/system/request_context.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M mojo/shell/public/cpp/capabilities.h View 2 chunks +2 lines, -0 lines 0 comments Download
M mojo/shell/public/cpp/lib/capabilities.cc View 2 chunks +2 lines, -0 lines 0 comments Download
M net/cert/signed_tree_head.h View 1 chunk +1 line, -0 lines 0 comments Download
M net/cert/signed_tree_head.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M net/cookies/cookie_monster_store_test.h View 1 chunk +2 lines, -0 lines 0 comments Download
M net/cookies/cookie_monster_store_test.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M net/quic/crypto/quic_compressed_certs_cache.h View 1 chunk +1 line, -0 lines 0 comments Download
M net/quic/crypto/quic_compressed_certs_cache.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M net/quic/crypto/quic_crypto_server_config.h View 1 chunk +1 line, -0 lines 0 comments Download
M net/quic/crypto/quic_crypto_server_config.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M net/socket/socket_test_util.h View 1 chunk +1 line, -0 lines 0 comments Download
M net/socket/socket_test_util.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M remoting/protocol/client_authentication_config.h View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/client_authentication_config.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/protocol/ice_config.h View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/ice_config.cc View 1 chunk +1 line, -0 lines 0 comments Download
M tools/gn/bundle_file_rule.h View 1 chunk +1 line, -0 lines 0 comments Download
M tools/gn/bundle_file_rule.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M ui/base/ime/composition_text.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/base/ime/composition_text.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M ui/native_theme/native_theme.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/native_theme/native_theme.cc View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M ui/platform_window/text_input_state.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/platform_window/text_input_state.cc View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 26 (13 generated)
vmpstr
Please take a look. https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h File content/public/common/frame_navigate_params.h (right): https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h#newcode23 content/public/common/frame_navigate_params.h:23: struct CONTENT_EXPORT FrameNavigateParams : public ...
3 years, 6 months ago (2016-03-22 23:22:43 UTC) #4
dcheng
LGTM Now for copy operators and move constructors/operators =P https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h File content/public/common/frame_navigate_params.h (right): https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h#newcode23 content/public/common/frame_navigate_params.h:23: ...
3 years, 6 months ago (2016-03-22 23:25:06 UTC) #5
no sievers
lgtm https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h File content/public/common/frame_navigate_params.h (right): https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h#newcode23 content/public/common/frame_navigate_params.h:23: struct CONTENT_EXPORT FrameNavigateParams : public IPC::NoParams { On ...
3 years, 6 months ago (2016-03-22 23:37:20 UTC) #7
vmpstr
Going to TBR other owners https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h File content/public/common/frame_navigate_params.h (right): https://codereview.chromium.org/1825273002/diff/20001/content/public/common/frame_navigate_params.h#newcode23 content/public/common/frame_navigate_params.h:23: struct CONTENT_EXPORT FrameNavigateParams : ...
3 years, 6 months ago (2016-03-22 23:57:43 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1825273002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1825273002/40001
3 years, 6 months ago (2016-03-23 00:01:59 UTC) #12
vmpstr
On 2016/03/22 23:25:06, dcheng wrote: > LGTM > > Now for copy operators and move ...
3 years, 6 months ago (2016-03-23 00:24:43 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_x86-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_x86-generic_chromium_compile_only_ng/builds/110726)
3 years, 6 months ago (2016-03-23 00:26:10 UTC) #15
vmpstr
On 2016/03/23 00:26:10, commit-bot: I haz the power wrote: > Try jobs failed on following ...
3 years, 6 months ago (2016-03-23 01:05:12 UTC) #16
vmpstr
+estade. Could you please take a look at ui/native_theme? Thanks! https://codereview.chromium.org/1825273002/diff/60001/ui/native_theme/native_theme.cc File ui/native_theme/native_theme.cc (right): https://codereview.chromium.org/1825273002/diff/60001/ui/native_theme/native_theme.cc#newcode19 ...
3 years, 6 months ago (2016-03-23 01:09:07 UTC) #18
danakj
On Tue, Mar 22, 2016 at 5:24 PM, <vmpstr@chromium.org> wrote: > On 2016/03/22 23:25:06, dcheng ...
3 years, 6 months ago (2016-03-23 01:21:40 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1825273002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1825273002/100001
3 years, 6 months ago (2016-03-24 18:28:39 UTC) #22
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 6 months ago (2016-03-24 20:23:04 UTC) #24
commit-bot: I haz the power
3 years, 6 months ago (2016-03-24 20:25:12 UTC) #26
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/bf0d713a72db33bdf6c51d65f009f73e822db3e0
Cr-Commit-Position: refs/heads/master@{#383131}

Powered by Google App Engine
This is Rietveld 408576698